## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all documented class members with links to the class documentation for each member:

### - m -

- m : csVector4T< T >, csVector3
- m11 : csMatrix3, csMatrix2, csDMatrix3
- m12 : csMatrix3, csMatrix2, csDMatrix3
- m13 : csMatrix3, csDMatrix3
- m21 : csMatrix3, csMatrix2, csDMatrix3
- m22 : csMatrix3, csMatrix2, csDMatrix3
- m23 : csMatrix3, csDMatrix3
- m31 : csMatrix3, csDMatrix3
- m32 : csMatrix3, csDMatrix3
- m33 : csMatrix3, csDMatrix3
- m_o2t : csTransform
- m_t2o : csReversibleTransform
- Main() : csApplicationFramework
- makeDWord() : csSndFunc
- MakeDynamic() : iDynamicsSystemCollider, iRigidBody
- makeEmpty() : csRectRegion
- MakeEmpty() : csCoverageTile, csPolyIndexed, csPoly2DEdges, csPoly3D, csPoly2D, csFrustum, csRect
- MakeEmptyQuick() : csCoverageTile
- MakeImageData() : csCommonImageFile
- MakeInfinite() : csFrustum
- MakeRoom() : csPolyIndexed, csPoly2DEdges, csPoly3D, csPoly2D
- MakeStatic() : iDynamicsSystemCollider, iRigidBody
- makeWord() : csSndFunc
- ManhattanDistance() : csBox3
- manualName : csImageVolumeMaker, csImageCubeMapMaker
- mappingParam : csShaderProgram::VariableMapEntry
- MapToFold() : csUnicodeTransform
- MapToLower() : csUnicodeTransform
- MapToUpper() : csUnicodeTransform
- MapWindow() : csPlatformMemoryMappingWin32, csPlatformMemoryMappingPosix, csPlatformMemoryMappingDummy
- Mark() : iAws, csPartialOrder< T >
- MarkCulledObject() : csTiledCoverageBuffer
- marked : csPartialOrder< T >::Node
- MarkEmpty() : csCoverageTile
- markForGather() : csRectRegion
- MarkNewRegion() : iShadowBlockList
- MarkRelevant() : iShadowIterator
- MarkToDelete() : awsEmbeddedComponent, iAwsComponent
- MarkToDeleteRecursively() : iAws
- MaskEraser() : iAws
- mass : csParticlesData
- masterBuffer : csRenderBuffer
- mat : csParticleSystem
- mat_h : csProcTexture
- mat_w : csProcTexture
- Match() : csRegExpMatcher
- MatchDecRef() : iRefTracker, csRefTrackerAccess
- MatchIncRef() : iRefTracker, csRefTrackerAccess
- material : csCoreRenderMesh, csHitBeamResult, CrystalSpace::ImportKit::Container::Model::Mesh
- Material : CrystalSpace::ImportKit::Container::Material, csNewParticleSystem
- materials : CrystalSpace::ImportKit::Container
- MATRIX : csShaderVariable
- Max() : csBox3, csBox2
- max_edges : csPoly2DEdges
- max_vertices : csPolyIndexed, csPoly2D
- MaxAspectRatio : csGraphics3DCaps
- maxbox : csBox3, csBox2
- Maximize() : awsEmbeddedComponent, iAwsComponent
- MaxNameLen : SYMBOL_INFOW, SYMBOL_INFO
- MaxSize : csStringBase
- maxTexHeight : csGraphics3DCaps
- maxTexWidth : csGraphics3DCaps
- MaxX() : csBox3, csBox2
- maxx : csBox2Int, csTriangleMinMax
- maxy : csBox2Int
- MaxY() : csBox3, csBox2
- MaxZ() : csBox3
- md5_append() : csMD5
- md5_byte_t : csMD5
- md5_finish() : csMD5
- md5_init() : csMD5
- md5_word_t : csMD5
- MemMove() : csSafeCopyArrayMemoryAllocator< T, ElementHandler >, csArrayMemoryAllocator< T >
- Memory : MINIDUMP_MEMORY_DESCRIPTOR, csGraphics2D
- MergeIntoBuffer() : iSndSysSourceSoftware
- MergeNormals() : iSprite3DFactoryState
- MergeTemplate() : iBezierFactoryState
- mesh_type : csMeshFactory
- meshes : CrystalSpace::ImportKit::Container::Model
- meshtype : csCoreRenderMesh, csSimpleRenderMesh
- mime : csImageIOFileFormatDescription
- min : csFileTime
- Min() : csBox3, csBox2
- minbox : csBox3, csBox2
- minibuff : csStringFast< LEN >
- miniused : csStringFast< LEN >
- minTexHeight : csGraphics3DCaps
- minTexWidth : csGraphics3DCaps
- MinX() : csBox3, csBox2
- minx : csBox2Int, csTriangleMinMax
- miny : csBox2Int
- MinY() : csBox3, csBox2
- MinZ() : csBox3
- Mipmap() : csImageManipulate
- mipmaps : csImageMemory
- MiscRecord : MINIDUMP_MODULE_CALLBACK
- Mix() : csPixMixerNoop< Tpixel >, csPixMixerRGBA< Tpixel >, csPixMixerCopy< Tpixel >
- MixingFunction() : iSoundRender
- mixmode : csRenderMeshModes, csSimpleRenderMesh
- MixMode : csNewParticleSystem, csParticleSystem
- ModBase : SYMBOL_INFOW, SYMBOL_INFO
- Mode : ADDRESS64
- mode : csFog
- Model : CrystalSpace::ImportKit::Container::Model, CrystalSpace::ImportKit::Container::Model::Mesh
- models : CrystalSpace::ImportKit::Container
- modifiers : csKeyEventData, _csKeyModifiers, csInputDefinition
- Modifiers : csJoystickEventData, csMouseEventData
- modifiersHonored : csInputDefinition
- modifiersState : csKeyboardDriver
- Module : MINIDUMP_CALLBACK_INPUT
- ModuleName : IMAGEHLP_MODULEW64, IMAGEHLP_MODULE64
- ModuleWriteFlags : MINIDUMP_CALLBACK_OUTPUT
- Modulo : csHash< T, K >
- mon : csFileTime
- Mount() : iVFS
- MountRoot() : iVFS
- Mouse() : iEventOutlet, csEventOutlet
- mouse_down() : iOSXAssistant
- mouse_moved() : iOSXAssistant
- mouse_up() : iOSXAssistant
- mouseAxis : csInputDefinition
- mouseButton : csInputDefinition
- MouseClick : iAws
- MouseDown : iAws
- MouseEnter : iAws
- mouseEntered: : OSXDelegate2D
- MouseExit : iAws
- MouseInComponent() : iAws
- MouseMove : iAws
- MouseUp : iAws
- MovableChanged() : iMovableListener
- MovableDestroyed() : iMovableListener
- Move() : iCamera, awsEmbeddedComponent, iAwsComponent, csColliderActor, csClipInfo, csRect
- MoveAfter() : csList< T >
- MoveBefore() : csList< T >
- MoveFrame() : iSprite2DUVAnimation
- MoveInstance() : iInstancingMeshState
- MoveObject() : csKDTree
- MovePosition() : iParticle, iMovable
- MoveTo() : awsEmbeddedComponent, iAwsComponent
- MoveUnrestricted() : iCamera
- MoveWorld() : iCamera
- MoveWorldUnrestricted() : iCamera
- mrClipping : csClipper
- multiFavorQuality : csGraphics2DGLCommon
- mutex : csScopedMutexLock